# $Revision: 1.53 $, $Date: 2010/03/05 12:59:30 $
Summary:	Router Advertisement Daemon
Summary(pl.UTF-8):	Demon ogłaszania routerów
Name:		radvd
Version:	1.6
Release:	1
License:	GPL
Group:		Networking
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
# Source0-md5:	987e0660d68b4501b24dc5a068cea83c
Source1:	%{name}.conf
Source2:	%{name}.init
URL:		http://v6web.litech.org/radvd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This daemon listens to router solicitations (RS) and answers with
router advertisement (RA). Furthermore unsolicited RAs are also send
from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU
of the link and information about default routers.

Router solicitations and router advertisement works only on IPv6
networks.

%description -l pl.UTF-8
Demon ten nasłuchuje komunikatów "router solicitations" (RS) i
odpowiada komunikatami "router adverisement" (RA).

W ten sposób pomaga hostom w sieci konfigurować swoje interfejsy
sieciowe.

Ogłaszanie routerów działa tylko w sieciach IPv6.

%prep
%setup  -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8},/etc/rc.d/init.d,}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/radvd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add radvd
%service radvd restart "radvd server"

%preun
if [ "$1" = "0" ]; then
	%service radvd stop
	/sbin/chkconfig --del radvd
fi

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES INTRO.html
%attr(754,root,root) /etc/rc.d/init.d/radvd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radvd.conf
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: radvd.spec,v $
Revision 1.53  2010/03/05 12:59:30  arekm
- parallel build works again

Revision 1.52  2010/03/05 12:57:24  arekm
- up to 1.6

Revision 1.51  2009/08/03 19:45:04  arekm
- up to 1.4

Revision 1.50  2009/07/07 07:21:44  arekm
- up to 1.3

Revision 1.49  2009/02/22 10:52:39  arekm
- release 2

Revision 1.48  2008/10/28 17:35:41  arekm
- up to 1.2

Revision 1.47  2008-02-04 09:02:33  arekm
- up to 1.1

Revision 1.46  2007/04/01 00:55:13  arekm
- up to 1.0

Revision 1.45  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.43  2006/09/11 07:26:09  aredridel
- 0.9.1

Revision 1.42  2006/05/21 22:09:57  glen
- drop outdated patches

Revision 1.41  2006/03/13 22:13:30  glen
- use %service

Revision 1.40  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.39  2005/02/22 21:45:26  spider
- updated to 0.7.3

Revision 1.38  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.37  2003/05/30 08:06:25  misi3k
- updated to 0.7.2

Revision 1.36  2003/05/28 13:01:36  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:26:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2002/11/30 23:00:26  juandon
- new %%doc

Revision 1.33  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.32  2002/07/21 12:55:38  kloczek
- release 3: added ac25x patch.

Revision 1.31  2002/05/21 23:14:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/04/13 13:46:11  kloczek
- release 2.

Revision 1.29  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/02/23 04:32:20  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2002/01/17 02:33:46  kloczek
- updayted to 0.7.1 (bugfix release).

Revision 1.24  2001/11/22 00:27:38  misiek
- 0.7.0

Revision 1.23  2001/11/16 21:04:16  kloczek
- use DESTDIR style %install.

Revision 1.22  2001/09/29 23:30:44  blues
- release 3
- ac2.5 ready + am_fix patch

Revision 1.21  2001/09/25 12:50:50  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.20  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.19  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.17  2001/06/20 18:51:21  misiek
- updated to 0.6.2pl4

Revision 1.16  2001/04/04 19:18:27  misiek
fixes patch called 0.6.2pl1 (from foreign people)

Revision 1.15  2001/02/10 22:58:30  misiek
added URL

Revision 1.14  2001/02/02 06:39:21  kloczek
- updated to 0.6.2.

Revision 1.13  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.12  2001/02/01 10:41:25  misiek
0.6.1. stb

Revision 1.11  2000/12/10 13:13:15  kloczek
- use new rpm automation and few cosmetics.

Revision 1.10  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.9  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.8  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.3  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.2  2000/01/12 00:33:42  kloczek
- removed empty %pre,
- fixed %post and %postun,
- removed URL.

Revision 1.1  1999/12/19 17:39:31  jajcus
- first spec
